[
  {
    blockid=prop;
    custom=com.netscape.management.msgserv.folders.FPropControl;
    localvar=
    {
      .label.size = 100;
      .comp.space.sep = 15;

      .prettyname.label="\ud45c\uc2dc \uc774\ub984 :";
      .description.label="\uc124\uba85 :";

      .node.prop.posts.remoteandlocal.label="\ub85c\uceec \ubc0f \uc6d0\uaca9 \uac8c\uc2dc \ud5c8\uc6a9";
      .node.prop.posts.remoteonly.label="\uc6d0\uaca9 \uac8c\uc2dc\ub9cc \ud5c8\uc6a9(\uacf5\uae09 \uc804\uc6a9)";
      .node.prop.posts.junk.label="\uc774 \ud3f4\ub354\uc5d0 \ub300\ud55c \uae30\uc0ac\ub97c \ubcf4\uad00\ud558\uc9c0 \uc54a\uace0 \uacf5\uae09 \uc0ac\uc774\ud2b8\uc5d0 \uc804\ub2ec\ud568";
      .node.prop.moderated.label="\ud1a0\ub860 \uc911\uc7ac \ubc0f \uc804\uc790 \uc6b0\ud3b8\uc744 \ud1b5\ud574 \ub2e4\uc74c\uc73c\ub85c \uac8c\uc2dc \uba54\uc2dc\uc9c0 \ubcf4\ub0b4\uae30 :";
      .node.prop.alias.label="\uc774 \ud3f4\ub354\ub294 \ub2e4\uc74c\uc5d0 \ub300\ud55c \ucc38\uc870\uc784 :"

       .node.gateway.border=[titled, "\uac8c\uc774\ud2b8\uc6e8\uc774"];
       .node.gateway.mailtonews.label="\uc804\uc790 \uc6b0\ud3b8 \uc218\uc2e0\uc790 \uc8fc\uc18c :";
       .node.gateway.newstomail.label="\uc804\uc790 \uc6b0\ud3b8\uc744 \ud1b5\ud574 \ub2e4\uc74c\uc73c\ub85c \uac8c\uc2dc \uba54\uc2dc\uc9c0 \ubcf4\ub0b4\uae30 :";
    };

    content=
    [
      { /* outermost pane */
        ctrl=pane;
        layout=[ybox];
        content=
        [ /* contents */

          { /* label indicating newsgroup name */
            ctrl=label;
            text=$folder.node.name;
            icon=$folder.node.icon;
          }, /* label indicating newsgroup name */

          { /* component space */
            ctrl=vstrut;
            size=$.comp.space.sep;
          }, /* component space */

          { /* separator */
            ctrl=separator;
          }, /* separator */

          { /* component space */
            ctrl=vstrut;
            size=$.comp.space.sep;
          }, /* component space */

          { /* properties */
            ctrl=pane;
            layout=[ybox];
            content=
            [ /* properties contents */

              { /* pretty name */
                ctrl=pane;
                layout=[xbox];
                content=
                [ /* pretty name contents */

                  { /* label */
                    ctrl=label;
                    text=$.prettyname.label;
                    alignh=right;
                    aligny=0.5;
                    wrap=$.label.size;
                    id=prettyname;
                  }, /* label */

                  { /* component space */
                    ctrl=rigid;
                  }, /* component space */

                  { /* textfield */
                    ctrl=text;
                    aligny=0.5;
                    label=prettyname;
                    val=$folder.node.prettyname;
                  }

                ]; /* pretty name contents */
              }, /* pretty name */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* description */
                ctrl=pane;
                layout=[xbox];
                content=
                [ /* description contents */

                  { /* label */
                    ctrl=label;
                    text=$.description.label;
                    alignh=right;
                    aligny=0.5;
                    wrap=$.label.size;
                    id=description;
                  }, /* label */

                  { /* component space */
                    ctrl=rigid;
                  }, /* component space */

                  { /* textfield */
                    ctrl=text;
                    aligny=0.5;
                    label=description;
                    val=$folder.node.desc;
                  }

                ]; /* description contents */
              }, /* description */

              { /* component space */
                ctrl=vstrut;
                size=$.comp.space.sep;
              }, /* component space */

              { /* separator */
                ctrl=separator;
              }, /* separator */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space.sep;
              }, /* component space */

              { /* allow remote + local posts */
                ctrl=togglepane;
                style=radio;
                text=$.node.prop.posts.remoteandlocal.label;
                group=postproperties;
                id=localandremote;
              }, /* allow remote + local posts */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* allow remote only posts */
                ctrl=togglepane;
                style=radio;
                text=$.node.prop.posts.remoteonly.label;
                group=postproperties;
                id=remoteonly;
              }, /* allow remote only posts */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* transit posts */
                ctrl=togglepane;
                style=radio;
                text=$.node.prop.posts.junk.label;
                group=postproperties;
                id=transit;
              }, /* transit posts */

              { /* component space */
                ctrl=vstrut;
                size=$.comp.space;
              }, /* component space */

              { /* moderated newsgroups */
                ctrl=togglepane;
                style=radio;
                inline=true;
                text=$.node.prop.moderated.label;
                id=moderated;
                group=postproperties;
                content=
                [ /* moderator's e-mail */

                  { /* moderator's e-mail */
                    ctrl=text;
                    val=$folder.node.moderators;
                    id=moderators;
                  } /* moderator's e-mail */

                ]; /* moderator's e-mail */
              }, /* moderaged newsgroups */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* alias for another newsgroup */
                ctrl=togglepane;
                style=radio;
                inline=true;
                text=$.node.prop.alias.label;
                group=postproperties;
                id=referral;
                content=
                [ /* alias for ng */

                  { /* alias for ng */
                    ctrl=text;
                    val=$folder.node.referredfolder;
                    id=referredfolder;
                  } /* alias for ng */

                ]; /* alias for ng */
              }, /* alias for another newsgroup */

              { /* component space */
                ctrl=vstrut;
                size=$.comp.space.sep;
              }, /* component space */

              { /* separator */
                ctrl=separator;
              }, /* separator */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space.sep;
              }, /* component space */

              { /* gateway options */
                ctrl=pane;
                layout=[ybox];
                border=$.node.gateway.border;
                content=
                [ /* gateway options contents */

                  { /* mail to news */
                    ctrl=togglepane;
                    style=checkbox;
                    text=$.node.gateway.mailtonews.label;
                    id=mailtonews;
                    val=$folder.node.domailtonews;
                    inline=true;
                    content=
                    [ /* mail recipient address */

                      {
                        ctrl=text;
                        val=$folder.node.smtpaddress;
                        id=smtpaddress;
                      }

                    ]; /* mail recipient address */
                  }, /* mail to news */

                  { /* component space */
                    ctrl=vstrut;
                    size=$g.comp.space;
                  }, /* component space */

                  { /* news to mail */
                    ctrl=togglepane;
                    style=checkbox;
                    text=$.node.gateway.newstomail.label;
                    id=newstomail;
                    val=$folder.node.donewstomail;
                    inline=true;
                    content=
                    [ /* mail gateway address */

                      {
                        ctrl=text;
                        val=$folder.node.mailgateway;
                        id=mailgateway;
                      }

                    ]; /* mail gateway address */
                  } /* news to mail */

                ]; /* gateway options contents */
              } /* gateway options */

            ]; /* properties contents */
          } /* properties */

        ]; /* contents */
      } /* outermost pane */
    ];
  }

]



